package cn.kk.spring_simple_operation.model;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author kk
 * @date 2025/1/2
 */
@Data
public class SkuVideoVO {

	private String     sku;
	private String     relation_key;
	private String     parentAsin;
	private BigDecimal lowestPrice;
	private Integer    thirtyDaySales;
	private String     saleStatus;
	private String     usUploadInfo;

	public String getSku() {
		return sku;
	}

	public void setSku(String sku) {
		this.sku = sku;
	}

	public String getRelation_key() {
		return relation_key;
	}

	public void setRelation_key(String relation_key) {
		this.relation_key = relation_key;
	}

	public String getParentAsin() {
		return parentAsin;
	}

	public void setParentAsin(String parentAsin) {
		this.parentAsin = parentAsin;
	}

	public BigDecimal getLowestPrice() {
		return lowestPrice;
	}

	public void setLowestPrice(BigDecimal lowestPrice) {
		this.lowestPrice = lowestPrice;
	}

	public Integer getThirtyDaySales() {
		return thirtyDaySales;
	}

	public void setThirtyDaySales(Integer thirtyDaySales) {
		this.thirtyDaySales = thirtyDaySales;
	}

	public String getSaleStatus() {
		return saleStatus;
	}

	public void setSaleStatus(String saleStatus) {
		this.saleStatus = saleStatus;
	}

	public String getUsUploadInfo() {
		return usUploadInfo;
	}

	public void setUsUploadInfo(String usUploadInfo) {
		this.usUploadInfo = usUploadInfo;
	}
}
